ExcludeArch: %{ix86}

%bcond_without manual

Name:           ocaml-menhir
Version:        20230608
Release:    1%{?dist}
Summary:        LR(1) parser generator for OCaml

License:        GPL-2.0-only
URL:            https://gallium.inria.fr/~fpottier/menhir/
Source0:        https://gitlab.inria.fr/fpottier/menhir/-/archive/%{version}/menhir-%{version}.tar.bz2

BuildRequires:  ocaml
BuildRequires:  ocaml-dune

%if %{with manual}
BuildRequires:  ImageMagick
BuildRequires:  hevea
BuildRequires:  tex(latex)
BuildRequires:  tex(comment.sty)
BuildRequires:  tex(moreverb.sty)
%endif

Provides:       bundled(ocaml-fix) = 20230505
Provides:       bundled(ocaml-pprint) = 20211129

Requires:       ocaml-menhirlib-devel = %{version}-%{release}



%description
Menhir is a LR(1) parser generator for the Objective Caml programming
language.  That is, Menhir compiles LR(1) grammar specifications down to
OCaml code.  Menhir was designed and implemented by François Pottier and
Yann Régis-Gianas.

%package     -n ocaml-menhirlib
Summary:        Runtime library for parsers produced by Menhir
License:        LGPL-2.0-only WITH OCaml-LGPL-linking-exception

%description -n ocaml-menhirlib
This package contains the runtime library for parsers produced by Menhir.

%package     -n ocaml-menhirlib-devel
Summary:        Development files for ocaml-menhirlib
License:        LGPL-2.0-only WITH OCaml-LGPL-linking-exception
Requires:       ocaml-menhirlib = %{version}-%{release}

%description -n ocaml-menhirlib-devel
This ocaml-menhirlib-devel package contains libraries and signature
files for building applications with a parser produced by Menhir.

%prep
%autosetup -n menhir-%{version}

%build
%dune_build

%if %{with manual}
cd doc
rm manual.pdf
pdflatex manual
bibtex manual
pdflatex manual
pdflatex manual
cd -
%endif

%install
%dune_install -s

cp -p _build/default/lib/pack/menhirLib.ml %{buildroot}%{ocamldir}/menhirLib

rm -rf %{buildroot}%{ocamldir}/coq-menhirlib/

%files
%if %{with manual}
%doc doc/manual.pdf
%endif
%license LICENSE
%{_bindir}/menhir
%{_mandir}/man1/menhir.1*
%{ocamldir}/menhir/
%{ocamldir}/menhirSdk/

%files -n ocaml-menhirlib -f .ofiles-menhirLib
%license LICENSE

%files -n ocaml-menhirlib-devel -f .ofiles-menhirLib-devel
%{ocamldir}/menhirLib/menhirLib.ml

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20230608-1
- initial build
